× Warning! This forum is in archival status. New contributions may not work.
Objavi error on installation

  • When I try to run "bash post_install.sh" I get the following error : 
        raise ImproperlyConfigured("settings.DATABASES is improperly configured. "
    django.core.exceptions.ImproperlyConfigured: settings.DATABASES is improperly configured. Please supply the ENGINE value. Check settings documentation for more details.

    in settings.py , I change ENGINE value from slqite3 to django.db.backends.sqlite3 ( based on documentation : https://docs.djangoproject.com/en/1.4/ref/settings/#engine

    because I have django 1.4.5 

    and python 2.7 
    on Debian wheezy 

    Can anyone help me ? 

    Thanks, 
    George Veranis 
     

  • 4 Comments sorted by
  • Hi George!

    I am not 100% sure but I would say you need to change to newer configuration option for engine (because you have Django 1.4).

    So from....
    DATABASE_ENGINE = 'sqlite3'
    DATABASE_NAME = '%s/objavi.db' % OBJAVI_DIR
    DATABASE_USER = ''
    DATABASE_PASSWORD = ''
    DATABASE_HOST = ''
    DATABASE_PORT = ''

    You might need to change it to:
    DATABASES = {
        'default': {
            'ENGINE': 'django.db.backends.sqlite3',
            'NAME':  '%s/objavi.db' % OBJAVI_DIR,
            'USER': '',
            'PASSWORD': '',
            'HOST': '',
            'PORT': ''
        }
    }

    Aco
  • Hi Aco! 

    Yes you are right , the problem fixed . 

    When I run the url of objavi I get 
    Exception Value:
    Error importing template source loader django.template.loaders.filesystem.load_template_source: "'module' object has no attribute 'load_template_source'"
    Exception Location:/usr/lib/python2.7/dist-packages/django/template/loader.py in find_template_loader, line 101

    It is normal ? or I must configure something else ? after bash post_install.sh I don't get an error

  • Hi George!

    This is another difference in configuration (Objavi was made for Django 1.3):

    Find:








    TEMPLATE_LOADERS = (


        'django.template.loaders.filesystem.load_template_source',


        'django.template.loaders.app_directories.load_template_source',


        'django.template.loaders.eggs.load_template_source',


    )


    and replace it with:

        TEMPLATE_LOADERS = (

                            'django.template.loaders.filesystem.Loader',

                            'django.template.loaders.app_directories.Loader',

                            'django.template.loaders.eggs.Loader',













                           )


    I think it should work now.


    Aco

  • Hi Aco,

    thanks, yes it works, I saw also your reply here : http://forum.sourcefabric.org/discussion/14157/installation-error-in-ubuntu-12-04/p1

    Now I try to generate ebook or pdf or odt but without luck until now. I made changes to settings.py for OBJAVI as documentation described.
    The import works based on archive Id .